Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/ii: new aport

From: Sam Dodrill <shadow.h511_at_gmail.com>
Date: Mon, 2 Sep 2013 00:08:23 -0700

IRC It, simple FIFO based irc client
http://tools.suckless.org/ii/
---
 testing/ii/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/ii/APKBUILD
diff --git a/testing/ii/APKBUILD b/testing/ii/APKBUILD
new file mode 100644
index 0000000..4da2087
--- /dev/null
+++ b/testing/ii/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Sam Dodrill <shadow.h511_at_gmail.com>
+# Maintainer: Sam Dodrill <shadow.h511_at_gmail.com>
+pkgname=ii
+pkgver="1.7"
+pkgrel=0
+pkgdesc="IRC It: Minimalist FIFO-based IRC client"
+url="http://tools.suckless.org/ii/"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://dl.suckless.org/tools/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make PREFIX=/usr || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="6191008ca09770873d84f40270493d0e  ii-1.7.tar.gz"
+sha256sums="3a72ac6606d5560b625c062c71f135820e2214fed098e6d624fc40632dc7cc9c  ii-1.7.tar.gz"
+sha512sums="1fa744bc9b4291b5c6c56e023d982aad59001137db6c7682284a2d63e649a32d558adbb85ae3407e312ae5436852b4278c2c522d4ef03f47cf54ea3a1f13ca90  ii-1.7.tar.gz"
-- 
1.8.3.4
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Mon Sep 02 2013 - 00:08:23 UTC